HomeHome  SearchSearch  FAQFAQ  RegisterRegister  Log inLog in  

Galaxy GUI v2 Coming Soon - Stay Tuned for Details

Browser Requirements

View previous topicView next topicGo down
Author Message
SbuxBlaze

avatar

Founder
Founder

From : Southern California
OS : Win 8 x64, Android 4.0

PostSubject: Browser Requirements July 11th 2008, 3:13 pm

Galaxy GUI is fully compatible with all browsers except for Internet Explorer 6 and under. To make sure you are browsing the web securely, update your browser to the latest version with the links below.

Firefox: Download

Internet Explorer: Download

Safari: Download

Opera: Download
_________________
Founder of Galaxy GUI
View user profile

Browser Requirements

View previous topicView next topicBack to top
Page 1 of 1

Permissions in this forum: You cannot reply to topics in this forum
Galaxy GUI :: Information :: Announcements -
RSS Feed

Topic and post times are displayed in GMT (Greenwich Mean Time) for guests
Go to Top Contact Us Privacy Policy Terms of Use

Creative Commons 3.0 License. Last update: February 29, 2012
All trademarks mentioned on this page are the property of their respective owners







Make a forum | © phpBB | Free forum support | Contact | Report an abuse | Free forum